import feedparser
import badge
import ugfx

badge.init()
ugfx.init()

ugfx.clear(ugfx.BLACK)

badge.init()

feed = feedparser.parse('https://advisories.ncsc.nl/rss/advisories')
feedTitle = feed['feed']['title']

ugfx.string(150,25,feedTitle,"Roboto_Regular12",ugfx.BLACK)

#print(feed['entries'][0])

for item in feed['entries']:
    print(item['title'])
    print(item['id'])
    print(item['link'])
    print("============================")